godo.ActionGateway.Tools.List()

Generated on 5 Nov 2026 from godo version v1.236.0

Usage

client.ActionGateway.Tools.List(ctx context.Context, opt *godo.ActionGatewayToolListOptions) (*godo.ActionGatewayToolsResponse, *godo.Response, error)

Description

List retrieves a page of catalog tools.

This method sends a GET request to /v2/action-gateway/tools.

Parameters

opt *godo.ActionGatewayToolListOptions

Fields of godo.ActionGatewayToolListOptions

ActionGatewayToolListOptions filters the tool catalog.

ToolkitID string
Page int
PerPage int

Returns

*godo.ActionGatewayToolsResponse
*godo.Response

The HTTP response, with pagination Links, Meta, and Rate limit information.

error

Non-nil when the request fails. API errors are returned as *godo.ErrorResponse.

Fields of godo.ActionGatewayToolsResponse

ActionGatewayToolsResponse contains a page of tools and definitions.

Version string

JSON key: version

Tools []godo.ActionGatewayTool

JSON key: tools

Definitions []godo.ActionGatewayToolDefinition

JSON key: definitions

Pagination *godo.ActionGatewayPagination

JSON key: pagination

Request Sample

Show Request Sample
package main

import (
	"context"
	"fmt"
	"log"
	"os"

	"github.com/digitalocean/godo"
)

func main() {
	client := godo.NewFromToken(os.Getenv("DIGITALOCEAN_TOKEN"))
	ctx := context.TODO()

	result, _, err := client.ActionGateway.Tools.List(ctx, &godo.ActionGatewayToolListOptions{
		ToolkitID: "<your-toolkit-id>",
		Page: 1234567,
		PerPage: 1234567,
	})
	if err != nil {
		log.Fatal(err)
	}
	fmt.Printf("%+v\n", result)
}

Response Example

Show Response Example
{
  "version": "v1",
  "tools": [
    {
      "name": "web_search",
      "toolkitId": "exa",
      "title": "Web Search",
      "description": "Search the public web with Exa and return relevant results with normalized text snippets.",
      "inputSchema": {
        "type": "object",
        "properties": {
          "query": {
            "type": "string",
            "description": "Search query string."
          },
          "max_results": {
            "type": "integer",
            "description": "Maximum number of search results to return."
          }
        },
        "required": [
          "query"
        ]
      },
      "annotations": {
        "title": "Web Search",
        "readOnlyHint": true,
        "idempotentHint": true,
        "openWorldHint": true,
        "destructiveHint": false
      },
      "version": "v1",
      "parallelizable": true,
      "streamingSafe": true,
      "outputSchema": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "query": {
            "type": "string"
          },
          "provider": {
            "type": "string"
          },
          "results": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "title": {
                  "type": "string"
                },
                "url": {
                  "type": "string"
                },
                "text": {
                  "type": "string"
                },
                "publishedDate": {
                  "type": "string"
                }
              }
            }
          }
        }
      },
      "toolSlug": "exa_web_search"
    }
  ],
  "definitions": [
    {
      "toolId": "tul_exa_web_search",
      "name": "web_search",
      "toolkitId": "exa",
      "title": "Web Search",
      "description": "Search the public web with Exa and return relevant results with normalized text snippets.",
      "inputSchema": {
        "type": "object",
        "properties": {
          "query": {
            "type": "string",
            "description": "Search query string."
          },
          "max_results": {
            "type": "integer",
            "description": "Maximum number of search results to return."
          }
        },
        "required": [
          "query"
        ]
      },
      "outputSchema": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "query": {
            "type": "string"
          },
          "provider": {
            "type": "string"
          },
          "results": {
            "type": "array",
            "items": {
              "type": "object",
              "properties": {
                "title": {
                  "type": "string"
                },
                "url": {
                  "type": "string"
                },
                "text": {
                  "type": "string"
                },
                "publishedDate": {
                  "type": "string"
                }
              }
            }
          }
        }
      },
      "annotations": {
        "title": "Web Search",
        "readOnlyHint": true,
        "idempotentHint": true,
        "openWorldHint": true,
        "destructiveHint": false
      },
      "version": "v1",
      "auth": {
        "modes": [
          "shared_key"
        ],
        "provider": "exa",
        "scopes": []
      },
      "toolSlug": "exa_web_search",
      "providerKind": "managed_api"
    }
  ],
  "pagination": {
    "page": 1,
    "per_page": 100,
    "total": 1
  }
}

More Information

See GET /v2/action-gateway/tools in the API reference for additional detail on responses, headers, parameters, and more.

See the Go package documentation for the source of this method.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.